package com.lz.modules.third.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.third.entity.ThirdAppConfig;

import java.util.Map;

/**
* <p>
* 第三方应用配置表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-17
*/
public interface ThirdAppConfigService extends IService<ThirdAppConfig> {



	ThirdAppConfig selectThirdAppConfigById(Long id);


	Long insertThirdAppConfig(ThirdAppConfig thirdAppConfig);


	int updateThirdAppConfigById(ThirdAppConfig thirdAppConfig);


	int updateCoverThirdAppConfigById(ThirdAppConfig thirdAppConfig);


	int deleteThirdAppConfigById(Long id);


	PageUtils queryPage(Map<String, Object> params);

    ThirdAppConfig getByAppId(String appid);

}